Package org.codehaus.groovy.tools.groovydoc

# Class ClasspathResourceManager

java.lang.Object
org.codehaus.groovy.tools.groovydoc.ClasspathResourceManager

All Implemented Interfaces:
  `ResourceManager`

public class ClasspathResourceManager extends Object implements ResourceManager

## Constructor Summary

Constructors
Constructor
Description
`ClasspathResourceManager()`
`ClasspathResourceManager(ClassLoader classLoader)`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getInputStream(String resourceName)`
`Reader`
`getReader(String resourceName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClasspathResourceManager

public ClasspathResourceManager()

### ClasspathResourceManager

public ClasspathResourceManager(ClassLoader classLoader)

## Method Details

### getInputStream

public InputStream getInputStream(String resourceName)

### getReader

public Reader getReader(String resourceName) throws IOException

Specified by:
  `getReader` in interface `ResourceManager`
Throws:
  `IOException`